Boomi API Control Plane REST API - APIPolicyTemplates
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
List API policy templates
Get a list of all API policy templates. If apiDeploymentId is provided, only templates actually deployed to that API deployment's gateway are returned.
Authorizations:
query Parameters
| platformType | string |
| text | string |
| apiDeploymentId | string <uuid> |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiPolicyTemplateDTO) List of ApiPolicyTemplateDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Name",
- "version": "v1",
- "platformType": "BOOMI",
- "sourceGatewayName": "Production Gateway",
- "description": "API policy template that rate limits API calls.",
- "metadata": {
- "rules": [
- {
- "type": "RateLimitRule",
- "methods": [
- "GET",
- "POST"
]
}, - {
- "type": "AuthenticationRule",
- "methods": [
- "GET",
- "POST",
- "PUT",
- "DELETE"
]
}
]
}
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get an API policy template
Return a specific API policy template by id.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| id required | string <uuid> Unique API policy template ID. |
| name required | string API policy template name. |
| platformType required | string Platform type. |
| version | string API policy template version. |
| sourceGatewayName | string Source gateway name. |
| description | string API policy template description. |
| metadata | string Metadata used to provide an overview of the API policy template contents. |
Response samples
- 200
- default
{- "id": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Name",
- "version": "v1",
- "platformType": "BOOMI",
- "sourceGatewayName": "Production Gateway",
- "description": "API policy template that rate limits API calls.",
- "metadata": {
- "rules": [
- {
- "type": "RateLimitRule",
- "methods": [
- "GET",
- "POST"
]
}, - {
- "type": "AuthenticationRule",
- "methods": [
- "GET",
- "POST",
- "PUT",
- "DELETE"
]
}
]
}
}Get API deployments that are assigned this API policy template
Return a filtered and paged list of API deployments that the API policy template with this id has been applied to.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiDeploymentUsingTemplateDTO) List of ApiDeploymentUsingTemplateDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "deploymentId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "apiDisplayName": "Petstore API",
- "apiGatewayId": "petstore-api-id",
- "apiId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "environmentDisplayName": "Primary Gravitee Environment",
- "environmentId": "aa2867cf-a395-47e0-84b2-8fa157906677",
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get API deployments deployed to an API policy template's gateway
Returns a list of API deployments that are deployed to an API policy template's API gateway.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiDeploymentUsingTemplateDTO) List of ApiDeploymentUsingTemplateDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "deploymentId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "apiDisplayName": "Petstore API",
- "apiGatewayId": "petstore-api-id",
- "apiId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "environmentDisplayName": "Primary Gravitee Environment",
- "environmentId": "aa2867cf-a395-47e0-84b2-8fa157906677",
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}